- Qt 5.15
- Qt 3D
- C++ Classes
- QAbstractLight
- Qt 5.15.11 Reference Documentation

# QAbstractLight Class

class Qt3DRender::QAbstractLight

Encapsulate a QAbstractLight object in a Qt 3D scene. More...

Header: | #include <QAbstractLight>
qmake: | QT += 3drender
Since: | Qt 5.6
Instantiated By: | Light
Inherits: | Qt3DCore::QComponent
Inherited By: | Qt3DRender::QDirectionalLight, Qt3DRender::QPointLight, and Qt3DRender::QSpotLight

This class was introduced in Qt 5.6.

- List of all members, including inherited members

## Public Types

enum | Type { PointLight, DirectionalLight, SpotLight }

## Properties

- color : QColor
- intensity : float
- type : const Type

## Public Functions

QColor | color() const
float | intensity() const
Type | type() const

## Public Slots

void | setColor(const QColor &color)
void | setIntensity(float intensity)

## Signals

void | colorChanged(const QColor &color)
void | intensityChanged(float intensity)

## Detailed Description

## Member Type Documentation

### enum QAbstractLight::Type

Identifies the particular type of light.

Constant | Value
--- | ---
`Qt3DRender::QAbstractLight::PointLight` | `0`
`Qt3DRender::QAbstractLight::DirectionalLight` | `1`
`Qt3DRender::QAbstractLight::SpotLight` | `2`

## Property Documentation

### color : QColor

Holds the current QAbstractLight color.

Access functions:

QColor | color() const
void | setColor(const QColor &color)

Notifier signal:

void | colorChanged(const QColor &color)

### intensity : float

Holds the current QAbstractLight intensity.

Access functions:

float | intensity() const
void | setIntensity(float intensity)

Notifier signal:

void | intensityChanged(float intensity)

### type : const Type

The type of light.

Access functions:

Type | type() const

## Member Function Documentation

### Type QAbstractLight::type() const

Holds the current QAbstractLight type.

Note: Getter function for property type.